package sets

func Japanese() (dict []int) {
	// Japanese-style punctuation
	for i := 0x3000; i <= 0x303F; i++ {
		dict = append(dict, i)
	}

	// Hiragana
	for i := 0x3040; i <= 0x309F; i++ {
		dict = append(dict, i)
	}

	// Katakana
	for i := 0x30A0; i <= 0x30FF; i++ {
		dict = append(dict, i)
	}

	// Full-width roman characters and half-width katakana
	for i := 0xFF00; i <= 0xFFEF; i++ {
		dict = append(dict, i)
	}

	// CJK unified ideographs (common and uncommon kanji)
	for i := 0x4E00; i <= 0x9FAF; i++ {
		dict = append(dict, i)
	}

	return
}
